--- title: "Get All Versions of an Object" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/stratus/get-all-versions/ description: "This API enables you to get all the versions of an object." last_updated: 2026-08-28T06:26:16Z service: Cloud Scale type: api --- # Get All Versions of an Object ### Description This API allows you to get all the versions of the [object](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/objects/introduction/) stored in a bucket. The Bucket is referred by its [unique bucket name](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket), and the required object is referred using its name. ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id}/bucket/objects/versions - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Query Parameters - **bucket_name** (Alphanumeric, mandatory): The [name of the bucket](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket) - **object_key** (String, mandatory): Will contain the complete name of the object. - **max_versions** (Number, optional): Will contain the maximum number of versions that can be listed in one paginated iteration. - **continuation_token** (String, optional): Will contain the token to check if next paginated iteration is required or not. #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.buckets.objects.READ ### Response Details On successful execution, the response will contain the list of details of all the versions of the required object. **Sample Request** ```bash curl -X GET https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket/objects/versions?bucket_name=zylker-bucket&object_key=sampleimage&max_versions=10&continuation_token=Sg43ou34rd2bih223oc8csc/ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": { "truncated": true, "key": "Automl_LZ (1).csv", "versions_count": 2, "max_versions": 2, "is_truncated": true, "next_continuation_token": "97tn3xP3te66VpfVwVJwtDAgouBKVNhGAV6jzGY6DMdX6hcJmwJKbFX3unakGdfKfJ", "version": [ { "latest": true, "version_id": "01hh9hkfdf07y8pnpbwtkt8cf7", "is_latest": true, "last_modified": "Dec 10, 2023 03:10 PM", "size": 257, "etag": "223a363af39a49d4b32f6cdf0c569755" }, { "latest": false, "version_id": "01hh9hjtge85k1fx2yp1kg8r2q", "is_latest": false, "last_modified": "Dec 10, 2023 03:10 PM", "size": 257, "etag": "223a363af39a49d4b32f6cdf0c569755" } ] } } ``` ### SDK Documentation * [Get All Versions of an Object - Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/stratus/get-object-versions/) * [Get All Versions of an Object - Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/stratus/get-object-versions/) * [Get All Versions of an Object - Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/stratus/get-object-versions/) * [Stratus - Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/stratus/overview/) * [Stratus - iOS SDK](https://docs.catalyst.zoho.com/en/sdk/ios/v2/cloud-scale/stratus/overview/) * [Stratus - Android SDK](https://docs.catalyst.zoho.com/en/sdk/android/v2/cloud-scale/stratus/overview/) * [Stratus - Flutter SDK](https://docs.catalyst.zoho.com/en/sdk/flutter/v2/cloud-scale/stratus/overview/)